Name:          jemalloc
Version:       5.2.1
Release:       1mamba
Summary:       A general purpose malloc(3) implementation
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.canonware.com/jemalloc/
Source:        https://github.com/jemalloc/jemalloc.git/%{version}/jemalloc-%{version}.tar.bz2
#Source:        http://www.canonware.com/download/jemalloc/jemalloc-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
jemalloc is a general purpose malloc(3) implementation that emphasizes fragmentation avoidance and scalable concurrency support.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

./autogen.sh

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/jeprof

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libjemalloc.so.*
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_bindir}/jemalloc-config
%{_bindir}/jemalloc.sh
%dir %{_includedir}/jemalloc
%{_includedir}/jemalloc/jemalloc.h
%{_libdir}/libjemalloc.a
%{_libdir}/libjemalloc.so
%{_libdir}/libjemalloc_pic.a
%dir %{_datadir}/doc/jemalloc
%{_datadir}/doc/jemalloc/jemalloc.html
%{_mandir}/man3/jemalloc.3*
%{_libdir}/pkgconfig/jemalloc.pc
%doc ChangeLog README

%changelog
* Sat Oct 26 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.1-1mamba
- update to 5.2.1

* Wed Jun 15 2016 Automatic Build System <autodist@mambasoft.it> 4.2.1-2mamba
- automatic version update by autodist

* Wed Jun 15 2016 Automatic Build System <autodist@mambasoft.it> 4.2.1-1mamba
- automatic version update by autodist

* Fri May 27 2016 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic version update by autodist

* Fri May 06 2016 Automatic Build System <autodist@mambasoft.it> 4.1.1-1mamba
- automatic version update by autodist

* Mon Feb 29 2016 Automatic Build System <autodist@mambasoft.it> 4.1.0-1mamba
- automatic version update by autodist

* Sun Oct 25 2015 Automatic Build System <autodist@mambasoft.it> 4.0.4-2mamba
- automatic version update by autodist

* Sun Oct 25 2015 Automatic Build System <autodist@mambasoft.it> 4.0.4-1mamba
- automatic version update by autodist

* Thu Oct 08 2015 Automatic Build System <autodist@mambasoft.it> 4.0.3-1mamba
- automatic version update by autodist

* Sun Sep 13 2015 Automatic Build System <autodist@mambasoft.it> 4.0.0-1mamba
- automatic version update by autodist

* Sun Dec 28 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.0-1mamba
- package created using the webbuild interface
